---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly, check cmd/gen-docs/docs.go.
-->

# `glab config set`

Updates configuration with the value of a given key

## Synopsis

Update the configuration by setting a key to a value.
Use glab config set --global if you want to set a global config. 
Specifying the --hostname flag also saves in the global config file

```plaintext
glab config set <key> <value> [flags]
```

## Examples

```plaintext

  glab config set editor vim
  glab config set token xxxxx -h gitlab.com

```

## Options

```plaintext
  -g, --global        write to global ~/.config/glab-cli/config.yml file rather than the repository .glab-cli/config/config
  -h, --host string   Set per-host setting
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
